import { baseUrl, datasyn } from "@/api/scan/config";
import httputils from "@/api/scan/httpUtil";

/**
 * 查询项目id对应得集团id
 * @param { 接口参数 } param
 */
 export function queryGroupCode(param, success, error) {
	return httputils.getJson(`${baseUrl}${datasyn}/record/query/project`, param, success, error)
}

/**
 * 查询项目下得日志
 * @param { 接口参数 } param
 */
export function queryTableList(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/query`, param, success, error)
}

/**
 * 查询对象类型
 * @param { 接口参数 } param
 */
export function queryobjType(param, success, error) {
    return httputils.getJson(`${baseUrl}${datasyn}/record/query/type`, param, success, error)
}

/**
 * 查询中台是否在线
 * @param { 接口参数 } param
 */
export function queryIsOnline(param, success, error) {
    return httputils.getJson(`${baseUrl}${datasyn}/record/query/online`, param, success, error)
}

/**
 * 重新同步消息
 * @param { 接口参数 } param
 */
export function queryRecordSyn(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/syn/data`, param, success, error)
}

/**
 * 更新日志信息
 * @param { 接口参数 } param
 */
export function queryRecordUpdata(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/update`, param, success, error)
}
